Bug 221221 - Remove the Timer from Style::Scope
Summary: Remove the Timer from Style::Scope
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: Safari Technology Preview
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Antti Koivisto
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-02-01 11:44 PST by Simon Fraser (smfr)
Modified: 2021-02-05 23:51 PST (History)
8 users (show)

See Also:


Attachments
patch (3.43 KB, patch)
2021-02-02 08:31 PST, Antti Koivisto
sam: review+
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
patch (3.91 KB, patch)
2021-02-02 22:30 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff
patch (4.00 KB, patch)
2021-02-02 22:36 PST, Antti Koivisto
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
patch (5.54 KB, patch)
2021-02-04 03:09 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff
TestExpectation followup (1.55 KB, patch)
2021-02-04 21:01 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Fraser (smfr) 2021-02-01 11:44:47 PST
The timer in Style::Scope should be replaced with a rendering update or whatever Document::updateStyleIfNeeded() does.
Comment 1 Simon Fraser (smfr) 2021-02-01 11:45:17 PST
This timer's construction time shows up in Speedometer profiles.
Comment 2 Antti Koivisto 2021-02-02 08:31:37 PST
Created attachment 419002 [details]
patch
Comment 3 Simon Fraser (smfr) 2021-02-02 09:56:13 PST
Nice!
Comment 4 Antti Koivisto 2021-02-02 22:30:15 PST
Created attachment 419110 [details]
patch
Comment 5 Antti Koivisto 2021-02-02 22:36:28 PST
Created attachment 419111 [details]
patch
Comment 6 EWS 2021-02-02 23:35:07 PST
Committed r272300: <https://trac.webkit.org/changeset/272300>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 419111 [details].
Comment 7 Radar WebKit Bug Importer 2021-02-02 23:36:14 PST
<rdar://problem/73918532>
Comment 8 Ryan Haddad 2021-02-03 12:36:35 PST
Reverted r272300 for reason:

Caused imported/w3c/web-platform-tests/css/css-scoping/css-scoping-shadow-dynamic-remove-style-detached.html to consistently fail on bots

Committed r272336: <https://trac.webkit.org/changeset/272336>
Comment 9 Antti Koivisto 2021-02-04 03:09:52 PST
Created attachment 419263 [details]
patch
Comment 10 EWS 2021-02-04 08:56:36 PST
Committed r272370: <https://trac.webkit.org/changeset/272370>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 419263 [details].
Comment 11 Antti Koivisto 2021-02-04 21:01:06 PST
Created attachment 419360 [details]
TestExpectation followup

imported/w3c/web-platform-tests/css/css-scoping/css-scoping-shadow-dynamic-remove-style-detached.html shouldn't be flaky anymore
Comment 12 Antti Koivisto 2021-02-04 21:02:37 PST
add a followup
Comment 13 EWS 2021-02-04 23:34:19 PST
commit-queue failed to commit attachment 419360 [details] to WebKit repository. To retry, please set cq+ flag again.
Comment 14 EWS 2021-02-05 00:01:05 PST
commit-queue failed to commit attachment 419360 [details] to WebKit repository. To retry, please set cq+ flag again.
Comment 15 EWS 2021-02-05 04:38:47 PST
commit-queue failed to commit attachment 419360 [details] to WebKit repository. To retry, please set cq+ flag again.
Comment 16 EWS 2021-02-05 23:51:33 PST
Committed r272460: <https://trac.webkit.org/changeset/272460>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 419360 [details].